from setuptools import setup

setup(
    name='pyfilehandle',
    version='0.1',
    description='A Python package for file manipulation operations.',
    long_description='FileHandling is a Python package that provides functions and classes for handling file operations, including creating files and directories, reading and writing data, and more.',
    long_description_content_type='text/markdown',
    author='Jeel Dobariya',
    author_email='dobariyaj34@gmail.com',
    url='https://github.com/JeelDobariya38/FileHandling',
    packages=['src.pyfilehandle'],
    classifiers=[
        'Development Status :: 3 - Alpha',
        'License :: OSI Approved :: MIT License',
        'Programming Language :: Python :: 3',
        'Programming Language :: Python :: 3.6',
        'Programming Language :: Python :: 3.7',
        'Programming Language :: Python :: 3.8',
        'Programming Language :: Python :: 3.9',
    ],
    keywords='file handling manipulation',
    project_urls={
        'Bug Tracker': 'https://github.com/JeelDobariya38/FileHandling/issues',
        'Documentation': 'https://github.com/JeelDobariya38/FileHandling/blob/main/docs/user-guide.md',
        'Source Code': 'https://github.com/JeelDobariya38/FileHandling',
    },
    license='MIT',
)
